--FD master key
USE master;
CREATE MASTER KEY ENCRYPTION BY PASSWORD = 'a very very very strong password';
GO

--FD certificate for FRANCEDUSVM
USE master;
CREATE CERTIFICATE FRANCEDUSVM_cert 
   WITH SUBJECT = 'FRANCEDUSVM certificate';
GO

--FD mirroring ENDPOINT
CREATE ENDPOINT Endpoint_Mirroring
   STATE = STARTED
   AS TCP (
      LISTENER_PORT=5022
      , LISTENER_IP = ALL
   ) 
   FOR DATABASE_MIRRORING ( 
      AUTHENTICATION = CERTIFICATE FRANCEDUSVM_cert
      , ENCRYPTION = REQUIRED ALGORITHM AES
      , ROLE = ALL
   );
GO

--FD backup cert
BACKUP CERTIFICATE FRANCEDUSVM_cert TO FILE = 'C:\temp\FRANCEDUSVM_cert.cer';
GO

--FD check the database_mirroring_endpoints
SELECT * FROM sys.database_mirroring_endpoints;

--INBOUND

--FD login account for principal in the mirror
USE master;
CREATE LOGIN FRANCEDWEVM_login WITH PASSWORD = 'strong password';
GO

--FD user
CREATE USER FRANCEDWEVM_user FOR LOGIN FRANCEDWEVM_login;
GO

--FD cer from FRANCEDWEVM
CREATE CERTIFICATE FRANCEDWEVM_cert
   AUTHORIZATION FRANCEDWEVM_user
   FROM FILE = 'C:\Temp\FRANCEDWEVM_cert.cer'
GO

--FD connect grant
GRANT CONNECT ON ENDPOINT::Endpoint_Mirroring TO [FRANCEDWEVM_login];
GO




