--FD create credential
IF NOT EXISTS
(SELECT * FROM sys.credentials 
WHERE name = 'AzureBackup')
CREATE CREDENTIAL AzureBackup WITH IDENTITY = '[storage account]'
,SECRET = '[storage key]' ;

--FD full backup
BACKUP DATABASE mirroringdb 
TO URL = 'https://[storage account].blob.core.windows.net/[container]/mirroringdb.bak' 
      WITH CREDENTIAL = 'AzureBackup' 
     ,COMPRESSION
     ,STATS = 5;
GO 

--FD log backup
DECLARE @Log_Filename AS VARCHAR (300);
SET @Log_Filename = 'https://[storage account].blob.core.windows.net/[container]/mirroringdb_Log.trn';
BACKUP LOG mirroringdb
 TO URL = @Log_Filename
WITH CREDENTIAL = 'AzureBackup'
,COMPRESSION
,STATS = 5;
GO

--FD set mirroring
ALTER DATABASE mirroringdb SET PARTNER = 'TCP://[mirror].cloudapp.net:5022';
GO

--FD high performance
ALTER DATABASE mirroringdb 
    SET PARTNER SAFETY FULL
GO