--FD master key
USE master;
CREATE MASTER KEY ENCRYPTION BY PASSWORD = 'a very very very strong password';
GO

--FD certificate for FRANCEDWEVM
USE master;
CREATE CERTIFICATE FRANCEDWEVM_cert 
   WITH SUBJECT = 'FRANCEDWEVM certificate';
GO

--OUTBOUND
--FD mirroring ENDPOINT
CREATE ENDPOINT Endpoint_Mirroring
   STATE = STARTED
   AS TCP (
      LISTENER_PORT=5022
      , LISTENER_IP = ALL
   ) 
   FOR DATABASE_MIRRORING ( 
      AUTHENTICATION = CERTIFICATE FRANCEDWEVM_cert
      , ENCRYPTION = REQUIRED ALGORITHM AES
      , ROLE = ALL
   );
GO

--FD backup cert
BACKUP CERTIFICATE FRANCEDWEVM_cert TO FILE = 'C:\temp\FRANCEDWEVM_cert.cer';
GO

--FD check the database_mirroring_endpoints
SELECT * FROM sys.database_mirroring_endpoints;

--INBOUND

--FD login account for mirror in the principal
USE master;
CREATE LOGIN FRANCEDUSVM_login WITH PASSWORD = 'strong password';
GO

--FD user
CREATE USER FRANCEDUSVM_user FOR LOGIN FRANCEDUSVM_login;
GO

--FD cer from FRANCEDUSVM
CREATE CERTIFICATE FRANCEDUSVM_cert
   AUTHORIZATION FRANCEDUSVM_user
   FROM FILE = 'C:\Temp\FRANCEDUSVM_cert.cer'
GO

--FD connect grant
GRANT CONNECT ON ENDPOINT::Endpoint_Mirroring TO [FRANCEDUSVM_login];
GO


